Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.abstracttable
Class AbstractTableWidgetCellEditor

    java.lang.Object
      edu.stanford.smi.protegex.widget.abstracttable.AbstractTableWidgetCellEditor

All Implemented Interfaces:
  CellEditor, TableCellEditor

Direct Known Subclasses:
  ScatterboxTableCellEditor

    public class AbstractTableWidgetCellEditor

extends Object
implements TableCellEditor

Delegates UI to a specific TableEditorInterface Aggregates a whole bunch of simple editors Chooses the right one based on value type.

Author:
  William Grosso

Constructor Summary
`AbstractTableWidgetCellEditor(JTable underlyingTable, AbstractTableWidgetState state, Project project)`

Method Summary
`void` | `addCellEditorListener(CellEditorListener listener)`
`void` | `cancelCellEditing()`
`Object` | `getCellEditorValue()`
`Component` | `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)` value must be an AbstractTableWidgetValue
`boolean` | `isCellEditable(EventObject anEvent)`
`void` | `removeCellEditorListener(CellEditorListener listener)`
`boolean` | `shouldSelectCell(EventObject anEvent)`
`boolean` | `stopCellEditing()`
`void` | `updateKBIfNecessary()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTableWidgetCellEditor

    public AbstractTableWidgetCellEditor(JTable underlyingTable,
                                         AbstractTableWidgetState state,
                                         Project project)

Method Detail

### addCellEditorListener

    public void addCellEditorListener(CellEditorListener listener)

  Specified by:
    `addCellEditorListener` in interface `CellEditor`

### cancelCellEditing

    public void cancelCellEditing()

  Specified by:
    `cancelCellEditing` in interface `CellEditor`

### getCellEditorValue

    public Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `CellEditor`

### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable table,
                                                 Object value,
                                                 boolean isSelected,
                                                 int row,
                                                 int column)

  value must be an AbstractTableWidgetValue

  Specified by:
    `getTableCellEditorComponent` in interface `TableCellEditor`
  Parameters:
    `table` - Description of Parameter
    `value` - Description of Parameter
    `isSelected` - Description of Parameter
    `row` - Description of Parameter
    `column` - Description of Parameter
  Returns:
    The TableCellEditorComponent value

### isCellEditable

    public boolean isCellEditable(EventObject anEvent)

  Specified by:
    `isCellEditable` in interface `CellEditor`

### removeCellEditorListener

    public void removeCellEditorListener(CellEditorListener listener)

  Specified by:
    `removeCellEditorListener` in interface `CellEditor`

### shouldSelectCell

    public boolean shouldSelectCell(EventObject anEvent)

  Specified by:
    `shouldSelectCell` in interface `CellEditor`

### stopCellEditing

    public boolean stopCellEditing()

  Specified by:
    `stopCellEditing` in interface `CellEditor`

### updateKBIfNecessary

    public void updateKBIfNecessary()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request